Summary: This is a dummy package used to install the CREAM node
Name: emi-cream-ce-no-mysql
Version: 1.2.4
Release: 1%{?dist}%{!?dist:.el5}
License: Apache License 2.0
Vendor: EMI
Group: System Environment/Libraries
Packager: ETICS
BuildArch: noarch
Requires: argus-gsi-pep-callout, bdii, cleanup-grid-accounts
Requires: dynsched-generic, emi-version, fetch-crl,
Requires: glexec, apel-parsers, glite-ce-blahp, glite-ce-ce-plugin, glite-ce-cream-es,
Requires: glite-ce-job-plugin, glite-ce-yaim-cream-ce, glite-info-provider-service,
Requires: glite-initscript-globus-gridftp, glite-lb-logger, glite-yaim-bdii,
Requires: globus-gridftp-server-progs, globus-proxy-utils, glue-schema, kill-stale-ftp,
Requires: lcas-lcmaps-gt4-interface, lcas-plugins-basic, lcas-plugins-check-executable,
Requires: lcas-plugins-voms, lcg-expiregridmapdir, lcmaps-plugins-basic,
Requires: lcmaps-plugins-verify-proxy, lcmaps-plugins-voms, mysql-connector-java,
Requires: tomcat5, canl-java-tomcat
Conflicts: emi-cream-ce
%if ! (0%{?rhel} > 5)
Conflicts: emi-cream-ce-mysql51, emi-cream-ce-mysql55
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: emi-cream-ce.tar.gz

%description
This is a dummy package used to install the CREAM node

%prep

%setup -c -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)


%package -n emi-cream-ce
Summary: This is a dummy package used to install the CREAM node
Group: System Environment/Libraries
Requires: argus-gsi-pep-callout, bdii, cleanup-grid-accounts
Requires: dynsched-generic, emi-version, fetch-crl,
Requires: glexec, apel-parsers, glite-ce-blahp, glite-ce-ce-plugin, glite-ce-cream-es,
Requires: glite-ce-job-plugin, glite-ce-yaim-cream-ce, glite-info-provider-service,
Requires: glite-initscript-globus-gridftp, glite-lb-logger, glite-yaim-bdii,
Requires: globus-gridftp-server-progs, globus-proxy-utils, glue-schema, kill-stale-ftp,
Requires: lcas-lcmaps-gt4-interface, lcas-plugins-basic, lcas-plugins-check-executable,
Requires: lcas-plugins-voms, lcg-expiregridmapdir, lcmaps-plugins-basic,
Requires: lcmaps-plugins-verify-proxy, lcmaps-plugins-voms, mysql-connector-java,
Requires: tomcat5, canl-java-tomcat
Requires: mysql-server
Conflicts: emi-cream-ce-no-mysql
%if ! (0%{?rhel} > 5)
Conflicts: emi-cream-ce-mysql51, emi-cream-ce-mysql55
%endif

%description -n emi-cream-ce
This is a dummy package used to install the CREAM node

%files -n emi-cream-ce
%defattr(-,root,root)

%if ! (0%{?rhel} > 5)

%package -n emi-cream-ce-mysql55
Summary: This is a dummy package used to install the CREAM node
Group: System Environment/Libraries
Requires: argus-gsi-pep-callout, bdii, cleanup-grid-accounts
Requires: dynsched-generic, emi-version, fetch-crl,
Requires: glexec, apel-parsers, glite-ce-blahp, glite-ce-ce-plugin, glite-ce-cream-es,
Requires: glite-ce-job-plugin, glite-ce-yaim-cream-ce, glite-info-provider-service,
Requires: glite-initscript-globus-gridftp, glite-lb-logger, glite-yaim-bdii,
Requires: globus-gridftp-server-progs, globus-proxy-utils, glue-schema, kill-stale-ftp,
Requires: lcas-lcmaps-gt4-interface, lcas-plugins-basic, lcas-plugins-check-executable,
Requires: lcas-plugins-voms, lcg-expiregridmapdir, lcmaps-plugins-basic,
Requires: lcmaps-plugins-verify-proxy, lcmaps-plugins-voms, mysql-connector-java,
Requires: tomcat5, canl-java-tomcat
Requires: mysql55
Conflicts: emi-cream-ce-no-mysql
Conflicts: emi-cream-ce, emi-cream-ce-mysql51

%description -n emi-cream-ce-mysql55
This is a dummy package used to install the CREAM node.
The version of mysql used is 5.5

%files -n emi-cream-ce-mysql55
%defattr(-,root,root)

%post -n emi-cream-ce-mysql55
sed -i -e '/^MYSQL_PATH_PREFIX/d' -e '/^MYSQL_SERVICE_NAME/d' /opt/glite/yaim/defaults/glite-creamce.pre
echo 'MYSQL_PATH_PREFIX=/opt/rh/mysql55/root' >> /opt/glite/yaim/defaults/glite-creamce.pre
echo 'MYSQL_SERVICE_NAME=mysql55-mysqld' >> /opt/glite/yaim/defaults/glite-creamce.pre

%pre -n emi-cream-ce-mysql55
sed -i -e '/^MYSQL_PATH_PREFIX/d' -e '/^MYSQL_SERVICE_NAME/d' /opt/glite/yaim/defaults/glite-creamce.pre

%package -n emi-cream-ce-mysql51
Summary: This is a dummy package used to install the CREAM node
Group: System Environment/Libraries
Requires: argus-gsi-pep-callout, bdii, cleanup-grid-accounts
Requires: dynsched-generic, emi-version, fetch-crl,
Requires: glexec, apel-parsers, glite-ce-blahp, glite-ce-ce-plugin, glite-ce-cream-es,
Requires: glite-ce-job-plugin, glite-ce-yaim-cream-ce, glite-info-provider-service,
Requires: glite-initscript-globus-gridftp, glite-lb-logger, glite-yaim-bdii,
Requires: globus-gridftp-server-progs, globus-proxy-utils, glue-schema, kill-stale-ftp,
Requires: lcas-lcmaps-gt4-interface, lcas-plugins-basic, lcas-plugins-check-executable,
Requires: lcas-plugins-voms, lcg-expiregridmapdir, lcmaps-plugins-basic,
Requires: lcmaps-plugins-verify-proxy, lcmaps-plugins-voms, mysql-connector-java,
Requires: tomcat5, canl-java-tomcat
Requires: mysql51
Conflicts: emi-cream-ce-no-mysql
Conflicts: emi-cream-ce, emi-cream-ce-mysql55

%description -n emi-cream-ce-mysql51
This is a dummy package used to install the CREAM node.
The version of mysql used is 5.1

%files -n emi-cream-ce-mysql51
%defattr(-,root,root)

%post -n emi-cream-ce-mysql51
sed -i -e '/^MYSQL_PATH_PREFIX/d' -e '/^MYSQL_SERVICE_NAME/d' /opt/glite/yaim/defaults/glite-creamce.pre
echo 'MYSQL_PATH_PREFIX=/opt/rh/mysql51/root' >> /opt/glite/yaim/defaults/glite-creamce.pre
echo 'MYSQL_SERVICE_NAME=mysql51-mysqld' >> /opt/glite/yaim/defaults/glite-creamce.pre

%pre -n emi-cream-ce-mysql51
sed -i -e '/^MYSQL_PATH_PREFIX/d' -e '/^MYSQL_SERVICE_NAME/d' /opt/glite/yaim/defaults/glite-creamce.pre

%endif

%changelog
* Fri Dec 5 2014 CREAM group <cream-support@lists.infn.it> - 1.2.4-1
- CREAM CE metapackages for different mysql versions

* Mon Jun 30 2014 CREAM group <cream-support@lists.infn.it> - 1.2.3-1
- Removed dependency on voms-clients

* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.2.2-2
- New major release

